## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 14;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

# https://github.com/opentofu/opentofu
%global goipath         github.com/opentofu/opentofu
Version:                1.8.1

%gometa -L -f

%global common_description %{expand:
OpenTofu lets you declaratively manage your cloud infrastructure.}

Name:           opentofu
Release:        %autorelease
Summary:        OpenTofu lets you declaratively manage your cloud infrastructure

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0 AND Unlicense
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export LDFLAGS="-X github.com/opentofu/opentofu/version.dev=no"
%gobuild -o %{gobuilddir}/bin/tofu %{goipath}/cmd/tofu

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
# TestResourceProvider_ApplyCustomWorkingDirectory fails always
# TestGet_cancel & TestInit_cancelModules randomly fail for ppc64le and s390x
for test in "TestResourceProvider_ApplyCustomWorkingDirectory" "TestGet_cancel" \
            "TestInit_cancelModules" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc docs CODE_OF_CONDUCT.md SECURITY.md CHANGELOG.md CONTRIBUTING.md README.md
%doc TSC_SUMMARY.md WEEKLY_UPDATES.md
%{_bindir}/tofu

%changelog
* Fri Aug 09 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.8.1 - Closes rhbz#2303851

* Mon Jul 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.8.0 - Closes rhbz#2300353

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Fix for CVE-2024-6257 CVE-2024-6104 CVE-2024-24789 - Closes rhbz#2294255
  rhbz#2294007 rhbz#2292714

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.7.3 - Closes rhbz#2296994

* Tue Jun 04 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.7.2 - Closes rhbz#2290348

* Sat May 11 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.7.1

* Wed May 01 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.7.0 - Closes rhbz#2278018

* Fri Feb 23 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Update to 1.6.2 - Closes rhbz#2265533

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me>
- Rebuild for golang 1.22.0

* Thu Feb 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Don't include devel files

* Mon Feb 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info>
- Initial package - Closes rhbz#2258867
